/**
 * Initialise the web environment
 * @memberof module:Buttercup
 */
export declare function init(): void;
export { default as LocalFileDatasource } from "./web/LocalFileDatasource";
export { default as LocalStorageInterface } from "./web/LocalStorageInterface";
export { default as LocalStorageDatasource } from "./web/LocalStorageDatasource";
export * as localFileClient from "./web/localFileClient";
export * from "./index.common";
