import { History } from "../types";
export default class Share {
    _dirty: boolean;
    _history: History;
    _id: string;
    _lastHash: string;
    _permissions: Array<string>;
    constructor(shareID: string, history: History, permissions?: Array<string>);
    get id(): string;
    get permissions(): string[];
    applyToArchive(archive: any): void;
    archiveHasAppliedShare(archive: any): boolean;
    getPrefixedHistory(): History;
    updateHistory(history: any): boolean;
}
