export declare enum EntryURLType {
    Any = "any",
    General = "general",
    Icon = "icon",
    Login = "login"
}
/**
 * Get URLs from an entry's properties
 * Allows for preferential sorting
 * @param properties The entry properties
 * @param preference Optional URL type preference
 */
export declare function getEntryURLs(properties: {
    [key: string]: string;
}, preference?: EntryURLType): Array<string>;
