import { CredentialsData } from "../types";
export interface CredentialsPayload {
    data: CredentialsData;
    masterPassword: string | null;
    purposes: Array<string>;
    open: boolean;
}
export declare function credentialsAllowsPurpose(id: string, purpose: string): boolean;
export declare function getCredentials(id: string): CredentialsPayload | null;
export declare function removeCredentials(id: string): void;
export declare function setCredentials(id: string, value: CredentialsPayload): void;
